Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006390TestLinkTest Executepublic2014-06-15 05:542014-07-28 20:33
ReporterJasmeet 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version1.9.10 (2014 Q1 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0006390: Tree is slow to load when user clicks on Test Execution.
DescriptionI am using TL 1.9.10. It has only 1 Test Plan with around 700 Test Cases. It is observed that when user/tester clicks on "Test Execution" then the page is slow to load, somewhere around 2 mins. I believe it is do with preparing and rendering the tree on the left panel. But the same is not observed on "Test Specification". I ran a profiler (xdebug with webgrind) and it seems to point at "treeMenu.inc.php" file "line:887" where the function recursively calls itself to form the execution tree.

Please help/suggest.

Thanks.
Steps To ReproduceClick on Test Execution.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox, Safari
PHP Version5.5.11
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesgz file icon big_tree.testproject-deep.xml.gz [^] (87,343 bytes) 2014-06-15 09:20
gz file icon linkedItems_TPLAN_700.xml.gz [^] (8,203 bytes) 2014-06-15 09:26
gz file icon linkedItems_TPLAN_400.xml.gz [^] (5,198 bytes) 2014-06-15 09:26
gz file icon bit_tree_model3.testproject-deep.xml.gz [^] (260,551 bytes) 2014-06-15 10:02
zip file icon testlink.zip [^] (86,328 bytes) 2014-06-15 14:26
gz file icon bit_tree_model3_V2.testproject-deep.xml.gz [^] (267,658 bytes) 2014-06-15 15:46
jpg file icon Screenshot 2014-06-15 22.50.58.jpg [^] (992,138 bytes) 2014-06-15 17:21

- Relationships

-  Notes
(0021113)
fman (administrator)
2014-06-15 09:04

1. Test project size (amount of test suites and test cases) has impact on performance.

2. test project structure => How many Test Suites and how many levels of test suites (i.e. tree depth) also.

Tree structure on DB is the simplest one, then in order to be walked, recursive approach is needed.

It will be important to have a dump of your DB in order to do some tests.
(0021114)
fman (administrator)
2014-06-15 09:17
edited on: 2014-06-15 09:24

I've just created on demo.testlink.org a test project: big_tree
I've attached here the XML to recreated this test project.
This way we can have a common playground, at least in structure.

Also exported test plan with 400 test cases.

In this way We can do tests on same hardware. use admin/admin to login

(0021115)
fman (administrator)
2014-06-15 10:02

bit_tree_model3.testproject-deep.xml.gz => 2862 test cases inside
(0021119)
fman (administrator)
2014-06-15 15:17

You can change on demo site and add as much test cases as you want in order to understand if your structure affects performance
Demo is ubunti with TESTLINK & MYSQL on same host, may be this can affect something.
(0021120)
fman (administrator)
2014-06-15 15:45

Juste create a test suite ALFA that have test suites inside with more than 100 test cases => no issues
You can give a look
(0021123)
fman (administrator)
2014-06-15 17:33

These errors IMHO generate more work than needed.
Do you think you can try to create a SANDBOX using latest code from gitorious, where I think these errors has been fixed ?
You need to create a NEW DB using your current DB as starting point, and then apply sql scripts to add new table used to hold execution notes & results at test step level
(0021127)
Jasmeet (reporter)
2014-06-16 12:10

Hi,

Tried with "TestLink Dev1.9.10(El D1eG0)" from Git repo "testlink-ga-testlink-code-e29b417beed04df8882872c88dc9e9e6eb5aed9a" on my Ubuntu VM running MySQL and the same tree structure is loading fine.

Please suggest how we can merge the fix as a patch from Dev branch to Stable 1.9.10 Prague branch.
(0021129)
Jasmeet (reporter)
2014-06-16 14:49

I have replaced below files on my TL source tree and this seems to solve the performance issue but there are few unpleasant warnings in the log.

treeMenu.inc.php
tree.class.php
execTreeMenu.inc.php
exec.inc.php
testplan.class.php
execNavigator.php
tlTestCaseFilterControl.class.php

Please suggest/provide a confirmed official patch.
(0021134)
fman (administrator)
2014-06-17 21:30

>> Please suggest/provide a confirmed official patch.
regarding providing official patch: this is not the way things works here.
There are no intermediate patches: you have two options:

a) get latest code from gitorious (it will become next stable release) and use it applying changes to db if needed

b) use specific commit on gitorious, doing the merge for yourself

- Issue History
Date Modified Username Field Change
2014-06-15 05:54 Jasmeet New Issue
2014-06-15 09:04 fman Note Added: 0021113
2014-06-15 09:04 fman Assigned To => fman
2014-06-15 09:04 fman Status new => feedback
2014-06-15 09:17 fman Note Added: 0021114
2014-06-15 09:20 fman File Added: big_tree.testproject-deep.xml.gz
2014-06-15 09:21 fman Note Edited: 0021114 View Revisions
2014-06-15 09:24 fman Note Edited: 0021114 View Revisions
2014-06-15 09:26 fman File Added: linkedItems_TPLAN_700.xml.gz
2014-06-15 09:26 fman File Added: linkedItems_TPLAN_400.xml.gz
2014-06-15 10:02 fman File Added: bit_tree_model3.testproject-deep.xml.gz
2014-06-15 10:02 fman Note Added: 0021115
2014-06-15 13:56 Jasmeet Status feedback => assigned
2014-06-15 14:26 Jasmeet File Added: testlink.zip
2014-06-15 15:17 fman Note Added: 0021119
2014-06-15 15:45 fman Note Added: 0021120
2014-06-15 15:46 fman File Added: bit_tree_model3_V2.testproject-deep.xml.gz
2014-06-15 17:21 Jasmeet File Added: Screenshot 2014-06-15 22.50.58.jpg
2014-06-15 17:33 fman Note Added: 0021123
2014-06-16 12:10 Jasmeet Note Added: 0021127
2014-06-16 12:10 Jasmeet Note View State: 0021127: private
2014-06-16 12:11 Jasmeet Note View State: 0021127: public
2014-06-16 14:49 Jasmeet Note Added: 0021129
2014-06-17 21:30 fman Note Added: 0021134
2014-06-17 21:31 fman QA Team - Task Workflow Status => TBD
2014-06-17 21:31 fman Status assigned => resolved
2014-06-17 21:31 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-06-17 21:31 fman Resolution open => fixed
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker